/**
 * The Seeks proxy and plugin framework are part of the SEEKS project.
 * Copyright (C) 2010 Loic Dachary <loic@dachary.org>,
 *               2010 Emmanuel Benazera <ebenazer@seeks-project.info>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
 **/

#define _PCREPOSIX_H // avoid pcreposix.h conflict with regex.h used by gtest
#include <gtest/gtest.h>

#include "miscutil.h"

TEST(MiscutilTest, join_string_list)
{
  std::list<std::string> l;
  l.push_back("a");
  EXPECT_EQ("a", sp::miscutil::join_string_list(",", l));
  l.push_back("b");
  EXPECT_EQ("a,b", sp::miscutil::join_string_list(",", l));
}

TEST(MiscutilTest, chomp_cpp)
{
  std::string s(" seeks ");
  EXPECT_EQ("seeks",sp::miscutil::chomp_cpp(s));
  s = "  seeks project  ";
  EXPECT_EQ("seeks project",sp::miscutil::chomp_cpp(s));
}

int main(int argc, char **argv)
{
  ::testing::InitGoogleTest(&argc, argv);
  return RUN_ALL_TESTS();
}
